Page MenuHomePhabricator

Allow Valhallasw to sign an NDA
Closed, ResolvedPublic

Description

Is going to be one of the new Tool Labs admins, and hence will have access to sensitive info (IP addresses, etc). Should have an NDA signed.

@mark can approve as director.

Event Timeline

yuvipanda updated the task description. (Show Details)
yuvipanda raised the priority of this task from to Needs Triage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2015, 7:50 PM

Should also sign L3

That's exactly what this task is, right? I'm not sure what the 'specific permissions' are, but I guess "Access to private information on Tool Labs", and the relevant WMF employees would be @yuvipanda and @mark.

Qgil added a comment.Mar 23 2015, 9:31 PM

@valhallasw, sure, I just need to assure that you want these permissions.

As soon as @mark acknowledges, we will move onto the next step.

You can sign L3 already, as far as I know.

Ah, yes, that makes sense :-) I've signed L3, and will wait for @mark's response!

Aklapper triaged this task as Normal priority.Mar 24 2015, 10:49 AM
Aklapper set Security to None.
mark added a comment.Mar 24 2015, 12:10 PM

Approved. :)

Qgil added a comment.Mar 24 2015, 10:34 PM

Thank you! @valhallasw, please sign L2.

... and verified. Thank you!

@yuvipanda, I will assign this task to you because now you are not blocked anymore by the NDA.

In addition to obtaining the permissions mentioned above, I guess @valhallasw should be added to WMF-NDA now (I don't have the permissions).

I sent an email to legal to clarify a few things (for me) as I'm not sure about this process. This is entirely my discomfort / lack of understanding and has nothing at all to do with @valhallasw. I'm just not going to do something I feel uncomfortable with from a legal perspective :)

Per Mark's endorsement, this NDA request is approved.

That's exactly what this task is, right? I'm not sure what the 'specific permissions' are, but I guess "Access to private information on Tool Labs", and the relevant WMF employees would be @yuvipanda and @mark.

@valhallasw ...thanks for your patience while we sort this out man.

Could you resign L2 in this fashion:

Full Name - Country Of Origin

Then I think you are all buttoned up here and the further process distilling is irrelevant.

OK, done so!

I added you to WMF-NDA and I'm leaving this to yuvi to handle the tool-labs things.

yuvipanda closed this task as Resolved.Apr 13 2015, 9:47 PM

All done \o/ yay thanks everyone for the help :D <3

valhallasw reopened this task as Open.May 7 2015, 9:31 AM

Reopening; could I also be added to the 'nda' LDAP group (for T97580: Allow Tool Labs volunteer roots to submit jobs on puppet-catalog-compiler)? Thanks!

valhallasw closed this task as Resolved.May 13 2015, 3:21 PM

@yuvipanda fixed this